Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class AuthConstraint_c

    java.lang.Object
      polyglot.ext.jl.types.TypeObject_c
          jif.types.AuthConstraint_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Assertion, AuthConstraint, polyglot.types.TypeObject, polyglot.util.Copy

    public class AuthConstraint_c

extends polyglot.ext.jl.types.TypeObject_c
implements AuthConstraint

An implementation of the `AuthConstraint` interface.

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `principals`

Fields inherited from class polyglot.ext.jl.types.TypeObject_c
`position, ts`

Constructor Summary
`AuthConstraint_c(JifTypeSystem ts, polyglot.util.Position pos, java.util.List principals)`

Method Summary
`boolean` | `isCanonical()`
`java.util.List` | `principals()`
`AuthConstraint` | `principals(java.util.List principals)`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.ext.jl.types.TypeObject_c
`copy, equals, equalsImpl, hashCode, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### principals

    protected java.util.List principals

Constructor Detail

### AuthConstraint_c

    public AuthConstraint_c(JifTypeSystem ts,
                            polyglot.util.Position pos,
                            java.util.List principals)

Method Detail

### principals

    public AuthConstraint principals(java.util.List principals)

  Specified by:
    `principals` in interface `AuthConstraint`

### principals

    public java.util.List principals()

  Specified by:
    `principals` in interface `AuthConstraint`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isCanonical

    public boolean isCanonical()

  Specified by:
    `isCanonical` in interface `polyglot.types.TypeObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD